{pkgs, ...}: {
  imports = [
    ./hardware-configuration.nix

    ../common/global
    ../common/users/julian

    ../common/optional/remote-builder.nix
    ../common/optional/boot-efi.nix

    ../common/optional/greetd.nix
    ../common/optional/authentication.nix
    ../common/optional/pcmanfm.nix
    ../common/optional/pipewire.nix

    ../common/optional/podman.nix
    ../common/optional/flatpak.nix
  ];

  networking.hostName = "kardorf";
  system.stateVersion = "22.11";

  services.xserver.videoDrivers = ["nvidia"];

  programs.kdeconnect.enable = true;

  # Enable CUPS to print documents.
  services.printing.enable = true;
  services.printing.browsing = true;
  services.printing.drivers = with pkgs; [gutenprint];
}
